Subject: Re: basic inetd setup -- opening up a new port - what am I missing?
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Tue, 06 Aug 2002 14:09:36 -0700
Newsgroups: gmane.os.cygwin

Matt Munz wrote:

> Hi all,
>
> First off, cygwin is great.
>
> w2k, latest cygwin
>
> I installed the net utils, and read the following pages.
>
> http://www.adamswann.com/library/2001/Cygwin-Inetd.html
>
> http://cygwin.com/ml/cygwin/2001-11/msg00233.html
>
> Ultimately, I'm trying to get a cvs pserver going, but for right now, 
> I just want to open up a port to echo. Any port will do. Here's what I 
> tried.
>
> 1) Added the following line to /etc/inetd.conf
>
> cvspserver stream tcp nowait root /bin/echo echo hello
>
> 2) created /etc/services and added the following line to it
>
> cvspserver 2401/tcp

Didn't you wonder when you were creating /etc/services why it was not 
there in the first place! Because I believe that is the clue. Cygwin 
doesn't use /etc/services! Instead it uses 
$SYSTEMROOT/system32/drivers/etc/Services. Perhaps the best solution 
would be:

$ rm -f /etc/services
$ ln -s $(cygpath -p $SYSTEMROOT/system32/drivers/etc) \
 > /etc/services

Then edit /etc/services to add the cvspserver line.

> 3) started the server using cygrunsrv
>
> 4) "telnet localhost" -- this works
>
> 5) "telnet localhost 2401" -- get the following error
>
> Could not open a connection to host on port 2401 : Connect failed
>
> 6) view the log file /var/log/inetd.log -- it contains the following
>
> ADD : cvspserver proto=tcp, wait=0, user=root builtin=0 server=/bin/echo
> FREE: cvspserver proto=tcp, wait=0, user=root builtin=0 server=/bin/echo
>
> Instead of "FREE..." I want to see "registered /bin/echo on 2401".
>
> What happened? Any ideas? Does this have to do with my services file?
> Any help would be greatly appreciated.
>
> - Matt
>
>
> --
> Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting: http://cygwin.com/bugs.html
> Documentation: http://cygwin.com/docs.html
> FAQ: http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/